/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.commons.tags;

import java.util.Date;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.SimpleTagSupport;

/**
 * 
 * dateInSecs_tag provides the date in seconds after 1.1.1970 for a given java.util.Date instance
 *
 * @author tiwe
 * @version $Id$
 *
 */
public final class dateInSecs_tag extends SimpleTagSupport {

    private Date value;

    public void setValue(Date value) {
        this.value = (Date)value.clone();
    }

    public void doTag() throws JspException, java.io.IOException {
        getJspContext().getOut().print(value.getTime() / 1000);
    }

}
