/*
 * Copyright (c) 2009 Mysema Ltd.
 * All rights reserved.
 * 
 */
package com.mysema.commons.tags;

import java.util.Collection;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.SimpleTagSupport;

/**
 * 
 * join_tag joins the elements of the given items with the given separator 
 *
 * @author tiwe
 * @version $Id$
 *
 */
public final class join_tag extends SimpleTagSupport {

    private Collection<?> items;

    private String sep;

    public void doTag() throws JspException, java.io.IOException {
        StringBuilder builder = new StringBuilder();
        for (Object item : items) {
            if (builder.length() > 0) builder.append(sep);
            builder.append(item.toString());
        }
        getJspContext().getOut().print(builder.toString());
    }

    public void setItems(Collection<?> items) {
        this.items = items;
    }

    public void setSep(String sep) {
        this.sep = sep;
    }
}
